[POST] .../v1/retailcardmigration/settings/get
Returns retail card migration task settings. Use this method to retrieve rule settings for retail card migration tasks after selecting a task header. The request can filter by setting ids or task_id and returns result with rule type, period, comparison, value, order and deletion flag; settings are ordered by their configured order. The method checks the current request user and requires retail card migration select permission; missing body, invalid filters, denied permission and storage errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| ids | int | Migration task setting ID array. |
| task_id | int | Retail card migration task ID. |
Request Example
{
"filters": [
{
"Field": "ids",
"Operator": "Equal",
"Value": "string"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| next_offset | Int32 | Offset for the next data page. |
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of RetailCardMigrationSetting | Result array. |
| total | Int64 | Total number of result items. |
Response Example
{
"next_offset": 1,
"ok": true,
"result": [
{
"comparison": "Larger",
"deleted": true,
"id": 1,
"order": 1,
"period": 1,
"period_type": "Month",
"task_id": 1,
"type": "ItemQuantity",
"value": 1.0
}
],
"total": 1
}